<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>LFO (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LFO (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LFO.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/Hyphenation.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/LFOData.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/LFO.html" target="_top">Frames</a></li>
        <li><a href="LFO.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.LFOAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hwpf.model.types.LFOAbstractType">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class LFO" class="title">Class LFO</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.LFOAbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.LFO</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">LFO</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">LFOAbstractType</a></pre>
                <div class="block">"The LFO structure specifies the LSTF element that corresponds to a list that
                    contains a paragraph. An LFO can also specify formatting information that
                    overrides the LSTF element to which it corresponds." -- [MS-DOC] -- v20110315
                    Word (.doc) Binary File Format
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.LFOAbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">LFOAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_1_lsid">field_1_lsid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_2_unused1">field_2_unused1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_3_unused2">field_3_unused2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_4_clfolvl">field_4_clfolvl</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_5_ibstFltAutoNum">field_5_ibstFltAutoNum</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_6_grfhic">field_6_grfhic</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_7_unused3">field_7_unused3</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/LFO.html#LFO--">LFO</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/LFO.html#LFO-byte:A-int-">LFO</a></span>(byte[]&nbsp;std,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.LFOAbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">LFOAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getClfolvl--">getClfolvl</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getGrfhic--">getGrfhic</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getIbstFltAutoNum--">getIbstFltAutoNum</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getLsid--">getLsid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getUnused1--">getUnused1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getUnused2--">getUnused2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getUnused3--">getUnused3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setClfolvl-byte-">setClfolvl</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setGrfhic-org.apache.poi.hwpf.model.Grfhic-">setGrfhic</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setIbstFltAutoNum-byte-">setIbstFltAutoNum</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setLsid-int-">setLsid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setUnused1-int-">setUnused1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setUnused2-int-">setUnused2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setUnused3-byte-">setUnused3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="LFO--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LFO</h4>
                                <pre>public&nbsp;LFO()</pre>
                            </li>
                        </ul>
                        <a name="LFO-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LFO</h4>
                                <pre>public&nbsp;LFO(byte[]&nbsp;std,
           int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LFO.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/Hyphenation.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/LFOData.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/LFO.html" target="_top">Frames</a></li>
        <li><a href="LFO.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.LFOAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hwpf.model.types.LFOAbstractType">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
